List commerce sessions for winery/POS
GET
/v2/commerce/sessions
const url = 'https://api-crm-staging.divinea.com/api/v2/commerce/sessions?limit=50';const options = {method: 'GET', headers: {APIKey: '<APIKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-crm-staging.divinea.com/api/v2/commerce/sessions?limit=50' \ --header 'APIKey: <APIKey>'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Query Parameters
Sezione intitolata “Query Parameters”limit
integer format: int32
Limit
pointOfSaleId
string format: uuid
PointOfSaleId
status
string
Status
Responses
Sezione intitolata “Responses”OK
Media type*/*
Array<object>
CommerceSessionDTOobject
cartMode
string
channel
string
contacts
Array<object>
Map«string,object»object
key
additional properties
object
createdAt
string format: date-time
customName
string
discounts
object
guests
integer format: int32
id
string format: uuid
items
Array<object>
CommerceSessionItemDTOobject
attributes
object
bookingCompId
string
component
string
editable
boolean
experienceId
string format: uuid
id
string format: uuid
itemType
string
lineIndex
integer format: int32
locked
boolean
name
string
productId
string
qty
integer format: int32
reservationId
string format: uuid
unitPriceCents
integer format: int64
vatPercent
integer format: int32
metadata
object
pointOfSaleId
string format: uuid
roomId
string format: uuid
sourceExperienceId
string format: uuid
sourceReservationId
string format: uuid
status
string
tableId
string format: uuid
updatedAt
string format: date-time
version
integer format: int32
wineryId
string format: uuid